Package twisted :: Package lore :: Module latex :: Class LatexSpitter

[show private | hide private]
[frames | no frames]

## Class LatexSpitter

    BaseLatexSpitter --+
                       |
                      LatexSpitter

Known Subclasses:
  `BookLatexSpitter`, `SectionLatexSpitter`, `FootnoteLatexSpitter`, `MathLatexSpitter`, `ProsperSlides`

Method Summary
| `__init__(self, writer, currDir, filename)` (inherited from `BaseLatexSpitter`)
| `convert_dia(self, src, target)`
| `convert_png(self, src, target)`
| `visitNode(self, node)` (inherited from `BaseLatexSpitter`)
| `visitNode_a(self, node)` (inherited from `BaseLatexSpitter`)
| `visitNode_a_href(self, node)`
| `visitNode_a_listing(self, node)`
| `visitNode_a_name(self, node)`
| `visitNode_code(self, node)`
| `visitNode_div(self, node)` (inherited from `BaseLatexSpitter`)
| `visitNode_h1(self, node)` (inherited from `BaseLatexSpitter`)
| `visitNode_h2(self, node)`
| `visitNode_h3(self, node)`
| `visitNode_h4(self, node)`
| `visitNode_head(self, node)`
| `visitNode_img(self, node)`
| `visitNode_pre(self, node)`
| `visitNode_span(self, node)` (inherited from `BaseLatexSpitter`)
| `visitNode_span_footnote(self, node)`
| `visitNode_style(self, node)` (inherited from `BaseLatexSpitter`)
| `visitNode_table(self, node)`
| `visitNodeDefault(self, node)` (inherited from `BaseLatexSpitter`)
| `visitNodeHeader(self, node)`
| `writeNodeData(self, node)`

Class Variable Summary
`int` | `baseLevel`
`int` | `diaHack`
`str` | `end_body`
`str` | `end_dd`
`str` | `end_div_note`
`str` | `end_dl`
`str` | `end_dt`
`str` | `end_em`
`str` | `end_li`
`str` | `end_ol`
`str` | `end_q`
`str` | `end_strong`
`str` | `end_sub`
`str` | `end_sup`
`str` | `end_th`
`str` | `end_title`
`str` | `end_ul`
`str` | `start_body`
`str` | `start_div_note`
`str` | `start_dl`
`str` | `start_dt`
`str` | `start_em`
`str` | `start_html`
`str` | `start_li`
`str` | `start_ol`
`str` | `start_p`
`str` | `start_q`
`str` | `start_strong`
`str` | `start_sub`
`str` | `start_sup`
`str` | `start_th`
`str` | `start_title`
`str` | `start_ul`

Class Variable Details

### baseLevel

  Type:
    `int`
  Value:

        0

### diaHack

  Type:
    `int`
  Value:

        0

### end_body

  Type:
    `str`
  Value:

        '\\end{document}'

### end_dd

  Type:
    `str`
  Value:

        '''
        '''

### end_div_note

  Type:
    `str`
  Value:

        '\\end{quotation}'

### end_dl

  Type:
    `str`
  Value:

        '''\\end{description}
        '''

### end_dt

  Type:
    `str`
  Value:

        ']'

### end_em

  Type:
    `str`
  Value:

        '\\end{em}'

### end_li

  Type:
    `str`
  Value:

        '''
        '''

### end_ol

  Type:
    `str`
  Value:

        '''\\end{enumerate}
        '''

### end_q

  Type:
    `str`
  Value:

        "''"

### end_strong

  Type:
    `str`
  Value:

        '\\end{em}'

### end_sub

  Type:
    `str`
  Value:

        '}$'

### end_sup

  Type:
    `str`
  Value:

        '}$'

### end_th

  Type:
    `str`
  Value:

        '}'

### end_title

  Type:
    `str`
  Value:

        '''}
        '''

### end_ul

  Type:
    `str`
  Value:

        '''\\end{itemize}
        '''

### start_body

  Type:
    `str`
  Value:

        '''\\begin{document}
        \\maketitle
        '''

### start_div_note

  Type:
    `str`
  Value:

        '\\begin{quotation}\\textbf{Note:}'

### start_dl

  Type:
    `str`
  Value:

        '''\\begin{description}
        '''

### start_dt

  Type:
    `str`
  Value:

        '\\item['

### start_em

  Type:
    `str`
  Value:

        '\\begin{em}'

### start_html

  Type:
    `str`
  Value:

        '''\\documentclass{article}
        '''

### start_li

  Type:
    `str`
  Value:

        '\\item '

### start_ol

  Type:
    `str`
  Value:

        '''\\begin{enumerate}
        '''

### start_p

  Type:
    `str`
  Value:

        '''

        '''

### start_q

  Type:
    `str`
  Value:

        '``'

### start_strong

  Type:
    `str`
  Value:

        '\\begin{em}'

### start_sub

  Type:
    `str`
  Value:

        '$_{'

### start_sup

  Type:
    `str`
  Value:

        '$^{'

### start_th

  Type:
    `str`
  Value:

        '\\textbf{'

### start_title

  Type:
    `str`
  Value:

        '\\title{'

### start_ul

  Type:
    `str`
  Value:

        '''\\begin{itemize}
        '''

Generated by Epydoc 1.1 on Thu May 8 13:16:30 2003 | http://epydoc.sf.net